Up

# NSComboBox

### Authors

Gerrit van Dyk (`gerritvd@decillion.net`)

Copyright: (C) 1999 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSComboBox class
2. Software documentation for the NSObject(NSComboBoxDataSource) informal protocol
3. Software documentation for the NSObject(NSComboBoxNotifications) informal protocol

# Software documentation for the NSComboBox class

## NSComboBox : NSTextField

> Declared in:
>   AppKit/NSComboBox.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -addItemWithObjectValue:
- -addItemsWithObjectValues:
- -completes
- -dataSource
- -deselectItemAtIndex:
- -hasVerticalScroller
- -indexOfItemWithObjectValue:
- -indexOfSelectedItem
- -insertItemWithObjectValue:atIndex:
- -intercellSpacing
- -itemHeight
- -itemObjectValueAtIndex:
- -noteNumberOfItemsChanged
- -numberOfItems
- -numberOfVisibleItems
- -objectValueOfSelectedItem
- -objectValues
- -reloadData
- -removeAllItems
- -removeItemAtIndex:
- -removeItemWithObjectValue:
- -scrollItemAtIndexToTop:
- -scrollItemAtIndexToVisible:
- -selectItemAtIndex:
- -selectItemWithObjectValue:
- -setCompletes:
- -setDataSource:
- -setHasVerticalScroller:
- -setIntercellSpacing:
- -setItemHeight:
- -setNumberOfVisibleItems:
- -setUsesDataSource:
- -usesDataSource

### addItemWithObjectValue:

- (void) addItemWithObjectValue: (id)object;

Description forthcoming.

### addItemsWithObjectValues:

- (void) addItemsWithObjectValues: (NSArray*)objects;

Description forthcoming.

### completes

- (BOOL) completes;

Description forthcoming.

### dataSource

- (id) dataSource;

Description forthcoming.

### deselectItemAtIndex:

- (void) deselectItemAtIndex: (int)index;

Description forthcoming.

### hasVerticalScroller

- (BOOL) hasVerticalScroller;

Description forthcoming.

### indexOfItemWithObjectValue:

- (int) indexOfItemWithObjectValue: (id)object;

Description forthcoming.

### indexOfSelectedItem

- (int) indexOfSelectedItem;

Description forthcoming.

### insertItemWithObjectValue:atIndex:

- (void) insertItemWithObjectValue: (id)object atIndex: (int)index;

Description forthcoming.

### intercellSpacing

- (NSSize) intercellSpacing;

Description forthcoming.

### itemHeight

- (float) itemHeight;

Description forthcoming.

### itemObjectValueAtIndex:

- (id) itemObjectValueAtIndex: (int)index;

Description forthcoming.

### noteNumberOfItemsChanged

- (void) noteNumberOfItemsChanged;

Description forthcoming.

### numberOfItems

- (int) numberOfItems;

Description forthcoming.

### numberOfVisibleItems

- (int) numberOfVisibleItems;

Description forthcoming.

### objectValueOfSelectedItem

- (id) objectValueOfSelectedItem;

Description forthcoming.

### objectValues

- (NSArray*) objectValues;

Description forthcoming.

### reloadData

- (void) reloadData;

Description forthcoming.

### removeAllItems

- (void) removeAllItems;

Description forthcoming.

### removeItemAtIndex:

- (void) removeItemAtIndex: (int)index;

Description forthcoming.

### removeItemWithObjectValue:

- (void) removeItemWithObjectValue: (id)object;

Description forthcoming.

### scrollItemAtIndexToTop:

- (void) scrollItemAtIndexToTop: (int)index;

Description forthcoming.

### scrollItemAtIndexToVisible:

- (void) scrollItemAtIndexToVisible: (int)index;

Description forthcoming.

### selectItemAtIndex:

- (void) selectItemAtIndex: (int)index;

Description forthcoming.

### selectItemWithObjectValue:

- (void) selectItemWithObjectValue: (id)object;

Description forthcoming.

### setCompletes:

- (void) setCompletes: (BOOL)completes;

Description forthcoming.

### setDataSource:

- (void) setDataSource: (id)aSource;

Description forthcoming.

### setHasVerticalScroller:

- (void) setHasVerticalScroller: (BOOL)flag;

Description forthcoming.

### setIntercellSpacing:

- (void) setIntercellSpacing: (NSSize)aSize;

Description forthcoming.

### setItemHeight:

- (void) setItemHeight: (float)itemHeight;

Description forthcoming.

### setNumberOfVisibleItems:

- (void) setNumberOfVisibleItems: (int)visibleItems;

Description forthcoming.

### setUsesDataSource:

- (void) setUsesDataSource: (BOOL)flag;

Description forthcoming.

### usesDataSource

- (BOOL) usesDataSource;

Description forthcoming.

# Software documentation for the NSObject(NSComboBoxDataSource) informal protocol

## NSObject(NSComboBoxDataSource)

> Declared in:
>   AppKit/NSComboBox.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -comboBox:completedString:
- -comboBox:indexOfItemWithStringValue:
- -comboBox:objectValueForItemAtIndex:
- -numberOfItemsInComboBox:

### comboBox:completedString:

- (NSString*) comboBox: (NSComboBox*)aComboBox completedString: (NSString*)aString;

Description forthcoming.

### comboBox:indexOfItemWithStringValue:

- (unsigned int) comboBox: (NSComboBox*)aComboBox indexOfItemWithStringValue: (NSString*)string;

Description forthcoming.

### comboBox:objectValueForItemAtIndex:

- (id) comboBox: (NSComboBox*)aComboBox objectValueForItemAtIndex: (int)index;

Description forthcoming.

### numberOfItemsInComboBox:

- (int) numberOfItemsInComboBox: (NSComboBox*)aComboBox;

Description forthcoming.

# Software documentation for the NSObject(NSComboBoxNotifications) informal protocol

## NSObject(NSComboBoxNotifications)

> Declared in:
>   AppKit/NSComboBox.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -comboBoxSelectionDidChange:
- -comboBoxSelectionIsChanging:
- -comboBoxWillDismiss:
- -comboBoxWillPopUp:

### comboBoxSelectionDidChange:

- (void) comboBoxSelectionDidChange: (NSNotification*)notification;

Description forthcoming.

### comboBoxSelectionIsChanging:

- (void) comboBoxSelectionIsChanging: (NSNotification*)notification;

Description forthcoming.

### comboBoxWillDismiss:

- (void) comboBoxWillDismiss: (NSNotification*)notification;

Description forthcoming.

### comboBoxWillPopUp:

- (void) comboBoxWillPopUp: (NSNotification*)notification;

Description forthcoming.

Up